# uddi2__assertionStatusItem Class Reference

Schema urn:uddi-org:api_v2:"assertionStatusItem". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__assertionStatusItem:

[legend]
List of all members.

## Public Attributes

uddi2__businessKey | fromKey
| Element reference "urn:uddi-org:api_v2":fromKey.
uddi2__businessKey | toKey
| Element reference "urn:uddi-org:api_v2":toKey.
uddi2__keyedReference * | keyedReference
| Element reference "urn:uddi-org:api_v2":keyedReference.
uddi2__keysOwned * | keysOwned
| Element reference "urn:uddi-org:api_v2":keysOwned.
char * | completionStatus
| Attribute completionStatus of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"assertionStatusItem".

## Member Data Documentation

char* uddi2__assertionStatusItem::completionStatus

| Attribute completionStatus of type xs:string. Required attribute

uddi2__businessKey uddi2__assertionStatusItem::fromKey

| Element reference "urn:uddi-org:api_v2":fromKey. Required element

uddi2__keyedReference* uddi2__assertionStatusItem::keyedReference

| Element reference "urn:uddi-org:api_v2":keyedReference. Required element

uddi2__keysOwned* uddi2__assertionStatusItem::keysOwned

| Element reference "urn:uddi-org:api_v2":keysOwned. Required element

struct soap* uddi2__assertionStatusItem::soap

| A handle to the soap struct context that manages this class instance.

uddi2__businessKey uddi2__assertionStatusItem::toKey

| Element reference "urn:uddi-org:api_v2":toKey. Required element

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h